[@rxap/form-system](../wiki/globals) / UseResolveMethod

# Function: UseResolveMethod()

## Call Signature

> **UseResolveMethod**\<`Value`\>(`method`): `any`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L16)

### Type Parameters

• **Value** = `unknown`

### Parameters

#### method

`ProviderToken`\<`MethodWithParameters`\<`ControlOption`\<`any`, `string`\>, `Value`\>\>

### Returns

`any`

## Call Signature

> **UseResolveMethod**\<`Value`\>(`method`, `config`): `any`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:19](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L19)

### Type Parameters

• **Value** = `unknown`

### Parameters

#### method

`ProviderToken`\<`MethodWithParameters`\<`any`, `any`\>\>

#### config

[`UseMethodConfig`](../wiki/Interface.UseMethodConfig)\<`ControlOption`\<`any`, `string`\>, `Value`\>

### Returns

`any`
